<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>plugin.KriMe.SDS.init</name>
<version>1</version>
<engineversion>25</engineversion>
<description>binds SCS to traders</description>
<arguments>
<argument index="1" name="update" type="Var/Ware" desc="update" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><var>$seller&#160;=&#160;</var><var>Paranid&#160;Equipment&#160;Dock</var></line>
<line linenr="002" indent=""><var>$sellerrace&#160;=&#160;</var><var>Paranid</var></line>
<line linenr="003" indent=""><var>$sect1&#160;=&#160;</var><text>get&#160;sector&#160;from&#160;universe&#160;index:&#160;x=</text><var>1</var><text>,&#160;y=</text><var>6</var></line>
<line linenr="004" indent=""><var>$sect2&#160;=&#160;</var><text>get&#160;sector&#160;from&#160;universe&#160;index:&#160;x=</text><var>3</var><text>,&#160;y=</text><var>9</var></line>
<line linenr="005" indent=""><var>$sect3&#160;=&#160;</var><text>get&#160;sector&#160;from&#160;universe&#160;index:&#160;x=</text><var>8</var><text>,&#160;y=</text><var>14</var></line>
<line linenr="006" indent=""><var>skip&#160;if&#160;not&#160;</var><var>$sect1</var></line>
<line linenr="007" indent="&#160;"><var>$dock1&#160;=&#160;</var><text>&#160;find&#160;station&#160;in&#160;galaxy:&#160;startsector=</text><var>$sect1</var><text>&#160;class&#160;or&#160;type=</text><var>$seller</var><text>&#160;race=</text><var>$sellerrace</var><text>&#160;flags=</text><var>[Find.Nearest]</var><text>&#160;refobj=</text><var>null</var><text>&#160;serial=</text><var>null</var><text>&#160;max.jumps=</text><var>0</var></line>
<line linenr="008" indent=""><var>skip&#160;if&#160;not&#160;</var><var>$sect2</var></line>
<line linenr="009" indent="&#160;"><var>$dock2&#160;=&#160;</var><text>&#160;find&#160;station&#160;in&#160;galaxy:&#160;startsector=</text><var>$sect2</var><text>&#160;class&#160;or&#160;type=</text><var>$seller</var><text>&#160;race=</text><var>$sellerrace</var><text>&#160;flags=</text><var>[Find.Nearest]</var><text>&#160;refobj=</text><var>null</var><text>&#160;serial=</text><var>null</var><text>&#160;max.jumps=</text><var>0</var></line>
<line linenr="010" indent=""><var>skip&#160;if&#160;not&#160;</var><var>$sect3</var></line>
<line linenr="011" indent="&#160;"><var>$dock3&#160;=&#160;</var><text>&#160;find&#160;station&#160;in&#160;galaxy:&#160;startsector=</text><var>$sect3</var><text>&#160;class&#160;or&#160;type=</text><var>$seller</var><text>&#160;race=</text><var>$sellerrace</var><text>&#160;flags=</text><var>[Find.Nearest]</var><text>&#160;refobj=</text><var>null</var><text>&#160;serial=</text><var>null</var><text>&#160;max.jumps=</text><var>0</var></line>
<line linenr="012" indent=""></line>
<line linenr="013" indent=""><var>if&#160;</var><var>$dock1&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="014" indent="&#160;"><var>if&#160;not&#160;</var><var>$dock1&#160;-&gt;</var><text>&#160;trades&#160;with&#160;ware&#160;</text><var>$update</var></line>
<line linenr="015" indent="&#160;&#160;"><var>$dock1&#160;-&gt;</var><text>&#160;add&#160;product&#160;to&#160;factory&#160;or&#160;dock:&#160;</text><var>$update</var></line>
<line linenr="016" indent="&#160;&#160;"><var>$dummy&#160;=&#160;</var><var>$dock1&#160;-&gt;</var><text>&#160;add&#160;</text><var>1</var><text>&#160;units&#160;of&#160;</text><var>$update</var></line>
<line linenr="017" indent="&#160;"><text>end</text></line>
<line linenr="018" indent=""><text>end</text></line>
<line linenr="019" indent=""><var>if&#160;</var><var>$dock2&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="020" indent="&#160;"><var>if&#160;not&#160;</var><var>$dock2&#160;-&gt;</var><text>&#160;trades&#160;with&#160;ware&#160;</text><var>$update</var></line>
<line linenr="021" indent="&#160;&#160;"><var>$dock2&#160;-&gt;</var><text>&#160;add&#160;product&#160;to&#160;factory&#160;or&#160;dock:&#160;</text><var>$update</var></line>
<line linenr="022" indent="&#160;&#160;"><var>$dummy&#160;=&#160;</var><var>$dock2&#160;-&gt;</var><text>&#160;add&#160;</text><var>1</var><text>&#160;units&#160;of&#160;</text><var>$update</var></line>
<line linenr="023" indent="&#160;"><text>end</text></line>
<line linenr="024" indent=""><text>end</text></line>
<line linenr="025" indent=""><var>if&#160;</var><var>$dock3&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="026" indent="&#160;"><var>if&#160;not&#160;</var><var>$dock3&#160;-&gt;</var><text>&#160;trades&#160;with&#160;ware&#160;</text><var>$update</var></line>
<line linenr="027" indent="&#160;&#160;"><var>$dock3&#160;-&gt;</var><text>&#160;add&#160;product&#160;to&#160;factory&#160;or&#160;dock:&#160;</text><var>$update</var></line>
<line linenr="028" indent="&#160;&#160;"><var>$dummy&#160;=&#160;</var><var>$dock3&#160;-&gt;</var><text>&#160;add&#160;</text><var>1</var><text>&#160;units&#160;of&#160;</text><var>$update</var></line>
<line linenr="029" indent="&#160;"><text>end</text></line>
<line linenr="030" indent=""><text>end</text></line>
<line linenr="031" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="plugin.KriMe.SDS.init" /><sval type="int" val="25" /><sval type="string" val="binds SCS to traders" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="array" size="10"><sval type="string" val="update" /><sval type="string" val="seller" /><sval type="string" val="sellerrace" /><sval type="string" val="sect1" /><sval type="string" val="sect2" /><sval type="string" val="sect3" /><sval type="string" val="dock1" /><sval type="string" val="dock2" /><sval type="string" val="dock3" /><sval type="string" val="dummy" /></sval><sval type="array" size="24"><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="9" /><sval type="int" val="327688" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="10" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="800" /><sval type="int" val="3" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="6" /></sval><sval type="array" size="6"><sval type="int" val="800" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="4" /><sval type="int" val="9" /></sval><sval type="array" size="6"><sval type="int" val="800" /><sval type="int" val="5" /><sval type="int" val="4" /><sval type="int" val="8" /><sval type="int" val="4" /><sval type="int" val="14" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610610936" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="16"><sval type="int" val="709" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131075" /><sval type="int" val="106" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610610424" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="16"><sval type="int" val="709" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131075" /><sval type="int" val="106" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610609912" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="16"><sval type="int" val="709" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131075" /><sval type="int" val="106" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="-1610608893" /></sval><sval type="array" size="6"><sval type="int" val="637" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="-536867068" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="5"><sval type="int" val="750" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="9" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="-1610607869" /></sval><sval type="array" size="6"><sval type="int" val="637" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="-536866044" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="5"><sval type="int" val="750" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="9" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="-1610606845" /></sval><sval type="array" size="6"><sval type="int" val="637" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="-536865020" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="5"><sval type="int" val="750" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="9" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="array" size="1"><sval type="array" size="2"><sval type="int" val="13" /><sval type="string" val="update" /></sval></sval><sval type="array" size="7"><sval type="array" size="2"><sval type="int" val="11" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="15" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="15" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="19" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="19" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="23" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="23" /><sval type="int" val="4" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
<signature>
fC9riTmm3X7A01hhWrlETM4wul5Ix/5nTCPX7vGajeXz+rBAbWZhK/rXeMhEohrsvuhYP6tsO4NYZfT88Ib2VbgTUiLyJtdf1XkttalVpMTJmEoiA03lxkjy+JveDqiiozVV+b5+IbrkNwSiwB5fM7HitynCTh4nll6OmY0JHCa8P5RVpnCRl6k9lXT8vprbNS4OY3ttcvRRxi0/SibkYwUddS1EksV0lF5nWNCtvlIKFaHd8Y8BwKP1IfvcjXqW2lY+hkQ9MfwlGQEcVxf0zJW6caxAu821tBWhR66+12hIeAB1KUwnzglaA4ie41r6hJ0u3kDDlHbSuQH1BYF4ag==
</signature>
</script>
